#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.11
visibility:           public
id:                   random-source-0.3.0.11-KjsoWqQscPfLKrcrksRIwp
key:                  random-source-0.3.0.11-KjsoWqQscPfLKrcrksRIwp
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.

category:             Math
abi:                  1cd26b1a97c8a9da332af9dd75429d4a
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.11
library-dirs:         /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.2/random-source-0.3.0.11
hs-libraries:         HSrandom-source-0.3.0.11-KjsoWqQscPfLKrcrksRIwp
depends:
    base-4.15.1.0 flexible-defaults-0.0.3-6JSbmFm5Gwl1GV053Hv4hj
    mersenne-random-pure64-0.2.2.0-118RMaAyLDvHLSI72VOOoJ mtl-2.2.2
    mwc-random-0.15.0.2-FIdKvFdvXcpGtDNpmgQmPC
    primitive-0.7.3.0-B50m1vBTvOqCDtGqJqReDJ
    random-1.2.1-B9QyR7akHvI3KPtL26m3EE
    stateref-0.3-9u9QCRlvo9dHk1YF6aLbH9
    syb-0.7.2.1-KYKaNnczqa08CQ4buLVjvA template-haskell-2.17.0.0
    th-extras-0.0.0.5-CvLbq6x0N0a2smGQtaFQJn

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

